## spectro/spyd4en

### Summary

A special purpose tool that enables the full range of Spyder 4 colorimeter calibration selections.

### Usage summary

spyd4en [-v] [inputfile]
-v level Verbose
-S d Specify the install scope u = user (def.), l = local system]
creates spyd4cal.bin from vendor install files.

###

### Flags and Parameters

The inputfile argument is optional, and and can be used to specify the MSWindows setup.exe file from the installation CD (or possibly downloaded from the manufacturers website), if spyd4en is unable to locate this file automatically on the CD.
The -v parameter enables verbosity. This may be of use in figuring out what went wrong if it doesn't work, and where the file ends up.
The -S option allows installing the calibration information file in a local system location, rather than the default user accessible location. You may need to run this as superuser using the "sudo" command on Linux systems.

### Usage Details and Discussion

The Spyder 4 instrument does not have the full range of vendor instrument calibration options without the presence of the instrument vendors calibration information for the device. This calibration information is not provided with Argyll, since it has not been made available under a compatible license.
The purchaser of a Spyder 4 instrument should have received a copy of this calibration information along with their instrument from the original vendor, and spyd4en enables the full range of calibration choice for their instrument, by locating the necessary information in the users copy of the instrument install files.
spyd4en will attempt to locate the Spyder 4 installation CDROM, and make use of the calibration information from there. The CDROM should be placed in a CD drive prior to running spyd4en. If your Linux system is not running automount, or your automount is setup to mount CDROM's somewhere other than /media, /mnt/cdrom, /media/cdrom or /cdrom, then you will have to mount the CDROM manually, and give spyd4en the path to the CDROM setup/setup.exe file as the argument inputfile.
NOTE that under OS X 10.6 (Snow Leopard) you may need to run spyd4en as root to be able to mount the CDROM's ISO partition. The simplest way of doing this is to use the "sudo" commands. e.g. "sudo spyd4en", which will then ask you to enter the root password.
If the instrument calibration information is successfully located, then spyd4en will create a spyd4cal.bin file in a subdirectory of the users home directory, or if the -S l option is used, will store it in a system wide location. (the XDG Base Directory specifications are used as a basis for storing the file). The instrument driver can then locate and load the calibration information for the instrument.